<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFACD"
    android:gravity="center"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fillViewport="true">

    <GridLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/AllGridLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:columnCount="5"
        android:orientation="horizontal"
        android:rowCount="19">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Interface"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/_interface"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/_interface"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:layout_column="2"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="        " />

        <CheckBox
            android:id="@+id/mousedoubleclicken"
            android:layout_row="0"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="MouseDoubleClickEn"
            android:textSize="22dp" />

        <TextView
            android:layout_row="1"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="ReportType"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/reporttype"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/report_type"
            android:background="@color/frame_search"
            android:layout_row="2"
            android:layout_column="1" />

        <CheckBox
            android:id="@+id/mouserightclickdis"
            android:layout_row="2"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="MouseRightClickDis"
            android:textSize="22dp" />

        <TextView
            android:layout_row="3"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Uart Protocal"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/uartprotocal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/uart_protocal"
            android:background="@color/frame_search"
            android:layout_row="4"
            android:layout_column="1" />

        <CheckBox
            android:id="@+id/longpressrightkeyen"
            android:layout_row="4"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="LongPressRightKeyEn"
            android:textSize="22dp" />

        <TextView
            android:layout_row="5"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="6"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Uart Buad"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/uartbuad"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/uart_buad"
            android:background="@color/frame_search"
            android:layout_row="6"
            android:layout_column="1" />

        <CheckBox
            android:id="@+id/wakeupen"
            android:layout_row="6"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="WakeUpEn"
            android:textSize="22dp" />

        <TextView
            android:layout_row="7"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="VID"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/vid"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"
            android:layout_row="8"
            android:layout_column="1" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="8"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="PID"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/pid"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="352dp"
            android:layout_row="9"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="DimensionX"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/dimensionx"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"
            android:layout_row="10"
            android:layout_column="1" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="10"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="DimensionY"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/dimensiony"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"
            android:layout_row="10"
            android:layout_column="4" />

        <TextView
            android:layout_row="11"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="12"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="USB ResolutionX"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/usbresolutionx"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"
            android:layout_row="12"
            android:layout_column="1" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="12"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="USB ResolutionY"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/usbresolutiony"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"
            android:layout_row="12"
            android:layout_column="4" />

    </GridLayout>
    </ScrollView>

</LinearLayout>